Package com.microsoft.sqlserver.jdbc.spatialdatatypes

## Class WKBPoint

- java.lang.Object
- - com.microsoft.sqlserver.jdbc.spatialdatatypes.WKBPoint

    public class WKBPoint
    extends Object

Represents the internal makings of a WKB Point.

### Constructor Summary

Constructors
`WKBPoint​(double x, double y)`

### Method Summary

All Methods Instance Methods Concrete Methods
`double` `getX()` Returns the x coordinate value.
`double` `getY()` Returns the y coordinate value.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WKBPoint

    public WKBPoint​(double x,
                    double y)

### Method Detail

#### getX

    public double getX()

Returns the x coordinate value.

Returns:
  double x coordinate value.

#### getY

    public double getY()

Returns the y coordinate value.

Returns:
  double y coordinate value.